import { api as client } from "../../auth/http";
import { URL_CONSTANTS } from "../../constants/URLS";

export const createContainerType = (data: any) =>
  client.post(URL_CONSTANTS.RULE_ENGINE.CONTAINER_TYPES, { data });

export const getContainerTypes = () =>
  client.get(URL_CONSTANTS.RULE_ENGINE.CONTAINER_TYPES);

export const getContainerTypeById = (id: string) =>
  client.get(URL_CONSTANTS.RULE_ENGINE.CONTAINER_TYPE_BY_ID(id));



export const updateContainerType = (id: string, data: any) =>
  client.put(URL_CONSTANTS.RULE_ENGINE.CONTAINER_TYPE_BY_ID(id), { data });

export const deleteContainerType = (id: string) =>
  client.delete(URL_CONSTANTS.RULE_ENGINE.CONTAINER_TYPE_BY_ID(id));